<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%
	String cntx = request.getContextPath();
%>
<!doctype html>
<html lang="ko">
<head>
	<%@ include file="/WEB-INF/include/include-header.jspf" %>
	<!-- Custom Theme Style -->
	<link href="<c:url value='/css/custom.css' />" rel="stylesheet">
	
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Wallboard Picture</title>
    <style type="text/css">
    	body, table, div, p, label {font-family: 'Nanum Gothic', sans-serif;}	    
    </style>
    <script>
    $('.selector img').each(function(){
    	$(this).css({
    	"left": "50%",
    	"margin-left": "-"+( $(this).width()/2 )+"px",
    	"top": "50%",
    	"margin-top": "-"+( $(this).height()/2 )+"px"
    	});
   	});
    </script>

  </head>

  <body class="nav-md" style="background-color:#ccffff; width: 99.5%;height: 98vh;">
        <!-- page content -->
        <div class="right_col" role="main" style="margin-top: 5px; margin-left: 5px;">
            <div class="row top_tiles">
				<div class="col-md-12 col-sm-12 col-xs-12"  style="padding-top: 20px;">
					<div class="x_panel">
						<table style="width: 100%;">
							<tr>
								<td width="33%">							
									<img src="<%=cntx%>/images/AJ_Park.png"  width="176" height="47" alt="logo"/>
								</td>
								<td  width="34%" style="text-align: center;">							
									<div style="font-size: 50px; font-weight: bold; color: black;">공지사항</div>
								</td>
								<td  width="33%" style="text-align: right;">
									<div style="font-size: 40px; color: black;"><p id="realTimer"></p></div>
								</td>
							</tr>
						</table>
					</div>
				</div>
	            <div class="col-md-12 col-sm-12 col-xs-12">
	              <div class="selector" style="height: 85vh; background-image: url('<%=cntx%>/images/slide1.JPG'); background-repeat: no-repeat; background-size: 100% 100vh;" >
	              </div> 
	            </div>
            </div>
    </div>
<script type="text/javascript">
var callFunction;
function leadingZeros(n, digits) {
    var zero = '';
    n = n.toString();
    if (n.length < digits) {
        for (i = 0; i < digits - n.length; i++)
            zero += '0';
    }
    return zero + n;
}

function timer(){ 
    var d = new Date();

    var date = leadingZeros(d.getFullYear(), 4) + '-' +
        leadingZeros(d.getMonth() + 1, 2) + '-' +
        leadingZeros(d.getDate(), 2) + ' ';

    var time = leadingZeros(d.getHours(), 2) + ':' +
        leadingZeros(d.getMinutes(), 2);

    var txt_time = date + " " + time;
	 return txt_time;
} 

function get_timer(){ 
	// 함수값 불러와서, 태그 안에 집어넣기. 
	var timetxt = timer();
	if( document.getElementById( "realTimer" ) ){	//페이지가 로드되지 않았을때 객체가 null일경우 에러발생됨
		 document.getElementById( "realTimer" ).innerHTML = timetxt;
	}
	// 1000 밀리초(=1초) 후에, 이 함수를 실행하기 (반복 실행 효과). 
	setTimeout( "get_timer()", 1000 ); 
}

$(window).ready(function(){
	// (페이지가 로드되면) 함수를 불러오기. 
	callFunction = get_timer(); 
});
</script>
  </body>
</html>